> For the complete documentation index, see [llms.txt](https://docs.strongdm.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.strongdm.com/admin/audit/logs/scenarios/export-to-graylog.md).

# Send Local Logs to Graylog

**Scenario:** You want to save gateway/relay logs to Graylog. This guide presents a simple method to send all gateway/relay logs to your Graylog log server using Filebeat as a "sidecar".

{% hint style="info" %}
As with all gateway/relay logs, the logs stored on the gateway/relay will not include Admin UI activities, which can be accessed via the `sdm audit activities` command.
{% endhint %}

### Setting up the export

1. Enable relay logging in the Admin UI under *Settings / Log Encryption & Storage*. Ensure logging is set to FILE.
2. Create a standard "Filebeat on Linux" Sidecar/Collector as per the [Graylog documentation](https://go2docs.graylog.org/5-0/home.htm).
3. Use the following configuration for your Collector:

   ```yml
   # Needed for Graylog
   fields_under_root: true
   fields.collector_node_id: ${sidecar.nodeName}
   fields.gl2_source_collector: ${sidecar.nodeId}

   filebeat.inputs:
   - input_type: log
   paths:
       - /home/ubuntu/.sdm/logs/*.log

   type: log
   output.logstash:
   hosts: ["52.33.177.178:5044"]
   path:
   data: /var/lib/graylog-sidecar/collectors/filebeat/data
   logs: /var/lib/graylog-sidecar/collectors/filebeat/log
   ```
4. Modify the `paths` value to use the absolute path to your SDM logs folder.
5. Modify the `hosts` value to use the host/IP and port for your Graylog server, so that the Sidecar can push logs to it.
6. Check your Graylog console and look for messages like this:

   ![](/files/XztBYkYgdxHR40dgFZ0J)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.strongdm.com/admin/audit/logs/scenarios/export-to-graylog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
